Index: translator/SymTab/IdTable.cc
===================================================================
--- translator/SymTab/IdTable.cc	(revision bdd516a5257cb93cc0c5b4a4c343cc112252022a)
+++ translator/SymTab/IdTable.cc	(revision a32b204359041ff1f6ef505a929495bcfe7a54f3)
@@ -33,8 +33,8 @@
 IdTable::leaveScope()
 {
-  for( OuterTableType::iterator outer = table.begin(); outer != table.end(); ++outer ) {
-    for( InnerTableType::iterator inner = outer->second.begin(); inner != outer->second.end(); ++inner ) {
+  for ( OuterTableType::iterator outer = table.begin(); outer != table.end(); ++outer ) {
+    for ( InnerTableType::iterator inner = outer->second.begin(); inner != outer->second.end(); ++inner ) {
       std::stack< DeclEntry >& entry = inner->second;
-      if( !entry.empty() && entry.top().second == scopeLevel ) {
+      if ( ! entry.empty() && entry.top().second == scopeLevel ) {
         entry.pop();
       }
@@ -51,5 +51,5 @@
   const string &name = decl->get_name();
   string manglename;
-  if( decl->get_linkage() == LinkageSpec::C ) {
+  if ( decl->get_linkage() == LinkageSpec::C ) {
     manglename = name;
   } else {
@@ -58,18 +58,18 @@
   InnerTableType &declTable = table[ name ];
   InnerTableType::iterator it = declTable.find( manglename );
-  if( it == declTable.end() ) {
+  if ( it == declTable.end() ) {
     declTable[ manglename ].push( DeclEntry( decl, scopeLevel ) );
   } else {
     std::stack< DeclEntry >& entry = it->second;
-    if( !entry.empty() && entry.top().second == scopeLevel ) {
-      if( decl->get_linkage() != LinkageSpec::C || ResolvExpr::typesCompatible( decl->get_type(), entry.top().first->get_type(), Indexer() ) ) {
+    if ( ! entry.empty() && entry.top().second == scopeLevel ) {
+      if ( decl->get_linkage() != LinkageSpec::C || ResolvExpr::typesCompatible( decl->get_type(), entry.top().first->get_type(), Indexer() ) ) {
         FunctionDecl *newentry = dynamic_cast< FunctionDecl* >( decl );
         FunctionDecl *old = dynamic_cast< FunctionDecl* >( entry.top().first );
-        if( newentry && old && newentry->get_statements() && old->get_statements() ) {
+        if ( newentry && old && newentry->get_statements() && old->get_statements() ) {
           throw SemanticError( "duplicate function definition for ", decl );
         } else {
           ObjectDecl *newobj = dynamic_cast< ObjectDecl* >( decl );
           ObjectDecl *oldobj = dynamic_cast< ObjectDecl* >( entry.top().first );
-          if( newobj && oldobj && newobj->get_init() && oldobj->get_init() ) {
+          if ( newobj && oldobj && newobj->get_init() && oldobj->get_init() ) {
             throw SemanticError( "duplicate definition for ", decl );
           }
@@ -83,9 +83,9 @@
   }
   // ensure the set of routines with C linkage cannot be overloaded
-  for( InnerTableType::iterator i = declTable.begin(); i != declTable.end(); ++i ) {
-    if( !i->second.empty() && i->second.top().first->get_linkage() == LinkageSpec::C && declTable.size() > 1 ) {
+  for ( InnerTableType::iterator i = declTable.begin(); i != declTable.end(); ++i ) {
+    if ( ! i->second.empty() && i->second.top().first->get_linkage() == LinkageSpec::C && declTable.size() > 1 ) {
 	InnerTableType::iterator j = i;
-	for( j++; j != declTable.end(); ++j ) {
-	  if( !j->second.empty() && j->second.top().first->get_linkage() == LinkageSpec::C ) {
+	for ( j++; j != declTable.end(); ++j ) {
+	  if ( ! j->second.empty() && j->second.top().first->get_linkage() == LinkageSpec::C ) {
 	    throw SemanticError( "invalid overload of C function " );
 	  }
@@ -99,9 +99,9 @@
 {
   OuterTableType::const_iterator outer = table.find( id );
-  if( outer == table.end() ) return;
+  if ( outer == table.end() ) return;
   const InnerTableType &declTable = outer->second;
-  for( InnerTableType::const_iterator it = declTable.begin(); it != declTable.end(); ++it ) {
+  for ( InnerTableType::const_iterator it = declTable.begin(); it != declTable.end(); ++it ) {
     const std::stack< DeclEntry >& entry = it->second;
-    if( !entry.empty() ) {
+    if ( ! entry.empty() ) {
       decls.push_back( entry.top().first );
     }
@@ -114,9 +114,9 @@
 
    OuterTableType::const_iterator outer = table.find( id );
-   if( outer == table.end() ) return 0;
+   if ( outer == table.end() ) return 0;
    const InnerTableType &declTable = outer->second;
-   for( InnerTableType::const_iterator it = declTable.begin(); it != declTable.end(); ++it ) {
+   for ( InnerTableType::const_iterator it = declTable.begin(); it != declTable.end(); ++it ) {
      const std::stack< DeclEntry >& entry = it->second;
-     if( !entry.empty() && entry.top().second > depth ) {
+     if ( ! entry.empty() && entry.top().second > depth ) {
        result = entry.top().first;
        depth = entry.top().second;
@@ -129,9 +129,9 @@
 IdTable::dump( std::ostream &os ) const
 {
-  for( OuterTableType::const_iterator outer = table.begin(); outer != table.end(); ++outer ) {
-    for( InnerTableType::const_iterator inner = outer->second.begin(); inner != outer->second.end(); ++inner ) {
+  for ( OuterTableType::const_iterator outer = table.begin(); outer != table.end(); ++outer ) {
+    for ( InnerTableType::const_iterator inner = outer->second.begin(); inner != outer->second.end(); ++inner ) {
 #if 0
       const std::stack< DeclEntry >& entry = inner->second;
-      if( !entry.empty() ) { // && entry.top().second == scopeLevel ) {
+      if ( ! entry.empty() ) { // && entry.top().second == scopeLevel ) {
         os << outer->first << " (" << inner->first << ") (" << entry.top().second << ")" << std::endl;
       } else {
@@ -142,5 +142,5 @@
       std::stack<DeclEntry> stack = inner->second;
       os << "dumping a stack" << std::endl;
-      while (!stack.empty()) {
+      while (! stack.empty()) {
         DeclEntry d = stack.top();
         os << outer->first << " (" << inner->first << ") (" << d.second << ") " << std::endl;
@@ -151,8 +151,8 @@
   }
 #if 0
-  for( OuterTableType::const_iterator outer = table.begin(); outer != table.end(); ++outer ) {
-    for( InnerTableType::const_iterator inner = outer->second.begin(); inner != outer->second.end(); ++inner ) {
+  for ( OuterTableType::const_iterator outer = table.begin(); outer != table.end(); ++outer ) {
+    for ( InnerTableType::const_iterator inner = outer->second.begin(); inner != outer->second.end(); ++inner ) {
       const std::stack< DeclEntry >& entry = inner->second;
-      if( !entry.empty() && entry.top().second == scopeLevel ) {
+      if ( ! entry.empty() && entry.top().second == scopeLevel ) {
         os << outer->first << " (" << inner->first << ") (" << scopeLevel << ")" << std::endl;
       }
